# Method: advertisers.editAssignedTargetingOptions

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v4/advertisers/editAssignedTargetingOptions#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v4/advertisers/editAssignedTargetingOptions#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v4/advertisers/editAssignedTargetingOptions#body.request_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v4/advertisers/editAssignedTargetingOptions#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v4/advertisers/editAssignedTargetingOptions#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v4/advertisers/editAssignedTargetingOptions#body.BulkEditAdvertiserAssignedTargetingOptionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v4/advertisers/editAssignedTargetingOptions#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v4/advertisers/editAssignedTargetingOptions#try-it)

Edits targeting options under a single advertiser. The operation will delete the assigned targeting options provided in `https://developers.google.com/display-video/api/reference/rest/v4/advertisers/editAssignedTargetingOptions#body.request_body.FIELDS.delete_requests` and then create the assigned targeting options provided in `https://developers.google.com/display-video/api/reference/rest/v4/advertisers/editAssignedTargetingOptions#body.request_body.FIELDS.create_requests` .

### HTTP request

`POST https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}:editAssignedTargetingOptions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the advertiser. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "deleteRequests": [ { object (`https://developers.google.com/display-video/api/reference/rest/v4/DeleteAssignedTargetingOptionsRequest`) } ], "createRequests": [ { object (`https://developers.google.com/display-video/api/reference/rest/v4/CreateAssignedTargetingOptionsRequest`) } ] } ``` |

| Fields ||
|---|---|
| `deleteRequests[]` | ``object (`https://developers.google.com/display-video/api/reference/rest/v4/DeleteAssignedTargetingOptionsRequest`)`` The assigned targeting options to delete in batch, specified as a list of `DeleteAssignedTargetingOptionsRequest`. Supported targeting types: - `https://developers.google.com/display-video/api/reference/rest/v4/TargetingType#ENUM_VALUES.TARGETING_TYPE_CHANNEL` - `https://developers.google.com/display-video/api/reference/rest/v4/TargetingType#ENUM_VALUES.TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION` - `https://developers.google.com/display-video/api/reference/rest/v4/TargetingType#ENUM_VALUES.TARGETING_TYPE_OMID` - `https://developers.google.com/display-video/api/reference/rest/v4/TargetingType#ENUM_VALUES.TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION` - `https://developers.google.com/display-video/api/reference/rest/v4/TargetingType#ENUM_VALUES.TARGETING_TYPE_KEYWORD` |
| `createRequests[]` | ``object (`https://developers.google.com/display-video/api/reference/rest/v4/CreateAssignedTargetingOptionsRequest`)`` The assigned targeting options to create in batch, specified as a list of `CreateAssignedTargetingOptionsRequest`. Supported targeting types: - `https://developers.google.com/display-video/api/reference/rest/v4/TargetingType#ENUM_VALUES.TARGETING_TYPE_CHANNEL` - `https://developers.google.com/display-video/api/reference/rest/v4/TargetingType#ENUM_VALUES.TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION` - `https://developers.google.com/display-video/api/reference/rest/v4/TargetingType#ENUM_VALUES.TARGETING_TYPE_OMID` - `https://developers.google.com/display-video/api/reference/rest/v4/TargetingType#ENUM_VALUES.TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION` - `https://developers.google.com/display-video/api/reference/rest/v4/TargetingType#ENUM_VALUES.TARGETING_TYPE_KEYWORD` |

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "createdAssignedTargetingOptions": [ { object (`https://developers.google.com/display-video/api/reference/rest/v4/advertisers.adGroups.targetingTypes.assignedTargetingOptions#AssignedTargetingOption`) } ] } ``` |

| Fields ||
|---|---|
| `createdAssignedTargetingOptions[]` | ``object (`https://developers.google.com/display-video/api/reference/rest/v4/advertisers.adGroups.targetingTypes.assignedTargetingOptions#AssignedTargetingOption`)`` The list of assigned targeting options that have been successfully created. This list will be absent if empty. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).